import request from '@/utils/request'

export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_项目名称_总_查询'
    }
  })
}
export function searchTableData1(pageCurrent, pageSize, num1, num2, num3, num4, num5, num6) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_履约保证金_合同信息统计_查询',
      param: '项目流水号=' + num1 + '=int&项目流水号_check=' + num2 + '=int&开始日期_check=' + num3 + '=int&结束日期_check=' + num4 + '=int&开始日期=' + num5 + '=date&结束日期=' + num6 + '=date',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function typeOfPerformanceBond(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_履约保证金类型_查询',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function searchTableData2(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_履约保证金_查询',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function takeBack(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '合同信息管理_履约保证金_收回',
      param: '履约保证金流水号=' + num1 + '=int&实际收回日期=' + num2 + '=string'
    }
  })
}
export function executionProgressID() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_执行进度_查询'
    }
  })
}
export function initType() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '投标保证金管理_保证金类型查询'
    }
  })
}
export function addPerformanceBond() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '合同信息管理_履约保证金_增加',
      param: '项目流水号=' + arguments[0] + '&保证金金额=' + arguments[1] + '&保证金类型流水号=' + arguments[2] + '&收回条件=' + arguments[3] + '&截止时间=' + arguments[4]
    }
  })
}
export function editPerformanceBond() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '合同信息管理_履约保证金_修改',
      param: '项目流水号=' + arguments[0] + '&保证金金额=' + arguments[1] + '&保证金类型流水号=' + arguments[2] + '&收回条件=' + arguments[3] + '&截止时间=' + arguments[4] + '&履约保证金流水号=' + arguments[5]
    }
  })
}
export function delPerformanceBond() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '合同信息管理_履约保证金_删除',
      param: '项目流水号=' + arguments[0] + '&履约保证金流水号=' + arguments[1]
    }
  })
}
export function addPerformanceGuarantee() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '合同信息管理_履约保证金_履约保函新增',
      param: '项目流水号=' + arguments[0]
    }
  })
}
export function delPerformanceGuarantee() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '合同信息管理_履约保证金_履约保函_删除',
      param: '项目流水号=' + arguments[0]
    }
  })
}
